<h1>VE <%=list_item.id%> (<%=list_item.status%>)</h1>
<%if list_item.inconsistent? == false%>
  <%if list_item.db_info.openvz_template.nil? == false%>
    <h2><%=list_item.db_info.openvz_template.name%> </h2>
  <%else%>
    <h2>No template associated with this VE!</h2>
  <%end%>
<%end%>

<ul>
<%if list_item.inconsistent? %>
  This VE is inconsistent. 
  Database record is different from the state of OpenVZ.

<%elsif list_item.status == 'started'%>


<%=content_tag('li', 
                 link_to('How to access this VE?', 
                         :action => 'instructions', 
			 :controller => 'cytoskeleton',
			 :id => list_item.id)) %>
  <%=content_tag('li', 
                 link_to('VE Info', 
                         :action => 've_info', 
			 :controller => 'cytoskeleton',
			 :id => list_item.id)) %>

  <%=content_tag('li',
                 button_to ("Stop", :controller => "nucleus", 
                           :action => "stop", 
                           :id => list_item.id)) %>

<%elsif ['starting', 
         'stopping', 
         'creating', 
         'destroying'].include? list_item.status%>

  <%=content_tag('li', "Is now #{list_item.status}...") %>
  <%=content_tag('li', 
                 link_to("Refresh", :action => "list")) %>

<%elsif ["stopped", "mounted"].include? list_item.status%>
  <%=content_tag('li', button_to("Start", :controller => "nucleus", 
                                  :action => "start", 
                                  :id => list_item.id )) %>

  <%=content_tag('li', button_to("Destroy", :controller => "nucleus", 
                                 :action => "destroy", 
                                 :id => list_item.id))  %>

<%end%>

</ul>
